GET
https://api.cryptohopper.com/v1/backtest/{id}/versions/{version_id}
Returns one earlier run of one of your backtests in the same format as Get a backtest, with at most 500 log lines.
OAuth scope:
read About scopes
Requires an active subscription or trial; otherwise the request is refused with 403.
Example request
curl "https://api.cryptohopper.com/v1/backtest/BACKTEST_ID/versions/VERSION_ID" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/backtest/BACKTEST_ID/versions/VERSION_ID', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/backtest/BACKTEST_ID/versions/VERSION_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/backtest/BACKTEST_ID/versions/VERSION_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
version_id |
string | Required | Version ID, the version_id field of List backtest versions. |
id |
string | Required | Backtest ID, as returned by List backtests. |
Response
{
"data": {
"id": "45120",
"user_id": "12345",
"template_type": "market",
"template_id": "8812",
"exchange": "binance",
"quote_currency": "USDT",
"markets": "[\"BTCUSDT\",\"ETHUSDT\"]",
"backtest_settings": {
"start_amount": 1000,
"subscription_id": 3,
"start_date": "2026-08-01 00:00:00",
"end_date": "2026-08-31 00:00:00"
},
"profit": "4.25",
"start_balance": "1000",
"end_balance": "1042.5",
"successful_sells": "38",
"loss_sells": "6",
"average_sell_time": "0",
"start_date": "2026-08-01 00:00:00",
"end_date": "2026-08-31 00:00:00",
"open_positions": [],
"open_shorts": [],
"open_reserved": [],
"open_tsb": [],
"open_orders": [],
"balances": [],
"trades": [],
"current_buys": [],
"current_sells": [],
"bot_statuses": {
"buying": 1,
"selling": 1
},
"history_total_assets": [
[
1754006400,
1000
],
[
1754017200,
1003.2
]
],
"history_total_assets_usd": [],
"output_log": [],
"template_config": {
"id": "8812",
"template_type": "market"
},
"notes": [
{
"id": "12",
"title": "First run",
"note": "Good results on BTC.",
"created": "2026-09-01T10:50:00Z"
}
],
"error_message": "",
"created": "2026-09-01 10:00:00",
"updated": "2026-09-01 10:45:00",
"start_of_test": "2026-09-01 10:00:00",
"completed": "1",
"output_log_start_time": 1754006400,
"output_log_end_time": 1754013600,
"percent_completed": 100
}
}